mysite/blog/urls.py
from django.urls import path
from . import views
from django.contrib.auth import views as auth_views

app_name = 'blog'
urlpatterns = [
    path('', views.IndexView.as_view(), name='index'),
    path(
        'usuario/novo/', views.NovoUsuarioView.as_view(),
        name='novo_usuario'
    ),
    path(
        'cadastro/',
        views.NovaPostagemView.as_view(), name='nova_postagem'
    ),
    path(
        '<int:postagem>/comenta/',
        views.NovoComentarioView.as_view(), name='novo_comentario'
    ),
    path(
        'arquivo/<int:mes>/',
        views.ArquivoView.as_view(), name='arquivo'
    ),
    path(
        'login/',
        auth_views.LoginView.as_view(template_name='blog/login.html'),
        name = 'login'
    )
]

mysite/enquetes/urls.py
from django.urls import path
from . import views
from django.views.generic import TemplateView

app_name = 'enquetes'
urlpatterns = [
    # ex.: /
    path('', views.IndexView.as_view(), name='index'),
    # ex.: enquetes/
    path('enquetes/', views.IndexViewJSON.as_view(), name='index_json'),
    # ex.: api/enquetes/
    path('api/enquetes/', views.GetEnquetesAPI.as_view(), name='get_enquetes'),
    # ex.: detalhes - /enquete/5/
    path(
        'enquete/<int:pk>/',
        views.DetalhesView.as_view(), name='detalhes'
    ),
    # ex.: resultado - /enquete/5/resultado/
    path(
        'enquete/<int:pk>/resultado/',
        views.ResultadoView.as_view(), name='resultado'
    ),
    # ex.: votação - /enquete/5/votacao/
    path(
        'enquete/<int:pk>/votacao/',
        views.VotacaoView.as_view(), name='votacao'
    ),
    path(
        'enquete/encerradas/',
        views.EncerradasView.as_view(), name='encerradas'
    ),
    path(
        'enquete/cadastrar/',
        views.NovaEnqueteView.as_view(), name='nova_enquete'
    ),
    path(
        'novo_layout/',
        TemplateView.as_view(
            template_name='enquetes/novo_layout.html'
        ), name='novo_layout'
    ),
    path(
        'login/',
        TemplateView.as_view(template_name="enquetes/login.html"), name='login'
    ),
]

mysite/mysite/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('index.urls')),
    path('enquetes/', include('enquetes.urls')),
    path('blog/', include('blog.urls')),
    path('accounts/', include('django.contrib.auth.urls')),
]

mysite/enquetes/models.py
import datetime
from django.utils import timezone
from django.db import models
from django.contrib.auth.models import User

class Rotulo(models.Model):
    titulo = models.CharField('título', max_length = 30)
    class Meta:
        verbose_name = 'Rótulo'
    def __str__(self):
        return self.titulo


class Perfil(models.Model):
    descricao = models.TextField('descrição')
    naturalidade = models.CharField(max_length = 30)
    data_nasc = models.DateField('Data de nascimento')
    genero = models.CharField('Gênero literário', max_length = 30)
    def __str__(self):
        return self.descricao
    class Meta:
        verbose_name_plural = 'Perfis'


class Autor(models.Model):
    pseudonimo = models.CharField(max_length = 40)
    foto = models.ImageField(
        upload_to = 'autores', null = True, blank = True
    )
    user = models.OneToOneField(User, on_delete=models.SET_NULL, null=True)
    perfil = models.OneToOneField(Perfil, on_delete=models.CASCADE)
    def __str__(self):
        return self.pseudonimo
    class Meta:
        verbose_name_plural = 'Autores'


class Pergunta(models.Model):
    texto = models.CharField(max_length = 100)
    imagem = models.ImageField(
        upload_to = 'perguntas', null = True, blank = True
    )
    data_pub = models.DateTimeField('Data de publicação')
    data_fim = models.DateField('Data de encerramento', null=True)
    autor = models.ForeignKey(
        Autor, on_delete = models.CASCADE, null=True
    )
    rotulos = models.ManyToManyField(Rotulo, blank=True)
    possui_resposta = models.BooleanField(default=False)
    #**** calcula o total de votos em uma enquete
    def total_votos(self):
        total = 0
        for alt in self.alternativa_set.all():
            total += alt.quant_votos
        return total
    #**** recupera as alternativas ordem decrescente de votos
    def get_resultado(self):
        return self.alternativa_set.orderby('-quant_votos')
    #**** retorna o estado da instância na forma de texto
    def __str__(self):
        return ("{0} - {1}").format(self.id, self.texto)
    #**** identifica se a pergunta foi publicada recentemente
    def foi_publicada_recentemente(self):
        agora = timezone.now()
        delta_24hs = datetime.timedelta(hours=24)
        return (
            (self.data_pub <= agora) and
            (self.data_pub >= agora - delta_24hs)
        )
    foi_publicada_recentemente.admin_order_field = 'data_pub'
    foi_publicada_recentemente.boolean = True
    foi_publicada_recentemente.short_description = 'Recente?'


class Alternativa(models.Model):
    texto = models.CharField(max_length = 50)
    quant_votos = models.IntegerField(
        'Quantidade de votos', default = 0
    )
    pergunta = models.ForeignKey(
        Pergunta, on_delete = models.CASCADE
    )
    correta = models.BooleanField(default=False)
    #**** retorna o estado da instância na forma de texto
    def __str__(self):
        return ("{0} - {1}").format(self.pergunta.texto, self.texto)
    #**** retorna a porcentagem de votos nessa alternativa específica
    def get_porcentagem(self):
        return (self.quant_votos / self.pergunta.total_votos()) * 100


class Voto(models.Model):
    user = models.ForeignKey(User, on_delete=models.SET_NULL, null=True)
    alternativa = models.ForeignKey(Alternativa, on_delete=models.CASCADE)

mysite/enquetes/views.py
import datetime
from django.contrib import messages
from django.shortcuts import render, get_object_or_404
from django.http import HttpResponseRedirect, Http404, JsonResponse
from django.urls import reverse
from django.utils import timezone
from django.utils.decorators import method_decorator
from django.contrib.auth.decorators import login_required
from django.views import View
from .models import Pergunta, Alternativa, Rotulo

@method_decorator(login_required, name='dispatch')
class NovaEnqueteView(View):
    template = 'enquetes/nova_enquete.html'

    def get(self, request, *args, **kwargs):
        rotulos = Rotulo.objects.order_by('titulo')
        contexto = {'rotulos': rotulos}
        return render(request, self.template, contexto)
    def post(self, request, *args, **kwargs):
        ## Recurperar os dados enviados no formulário
        texto = request.POST['texto']
        encerramento = request.POST['data_fim']
        alt01 = request.POST['alt01']
        alt02 = request.POST['alt02']
        ## Testar se não são vazios, e criar e salvar os objetos
        if texto and encerramento and alt01 and alt02:
            if hasattr(request.user, 'autor'):
                publicacao = timezone.now()
                pergunta = Pergunta(
                    texto=texto, data_pub=publicacao, data_fim=encerramento,
                    autor = request.user.autor
                )
                pergunta.save()
                a1 = Alternativa(texto=alt01, pergunta=pergunta)
                a1.save()
                a2 = Alternativa(texto=alt02, pergunta=pergunta)
                a2.save()
                if request.POST['alt03']:
                    a3 = Alternativa(texto=request.POST['alt03'], pergunta=pergunta)
                    a3.save()
                if request.POST['alt04']:
                    a4 = Alternativa(texto=request.POST['alt04'], pergunta=pergunta)
                    a4.save()
                if request.POST['alt05']:
                    a5 = Alternativa(texto=request.POST['alt05'], pergunta=pergunta)
                    a5.save()
                if request.POST['alt06']:
                    a6 = Alternativa(texto=request.POST['alt06'], pergunta=pergunta)
                    a6.save()
                rotulos = request.POST.getlist('rotulos')
                for id_rotulo in rotulos:
                    r = Rotulo.objects.get(pk=id_rotulo)
                    pergunta.rotulos.add(r)
                    pergunta.save()
                ## Redirecionar para a view "index"
                messages.success(request, 'A enquete entitulada \"%s\" foi inserida com sucesso!'%pergunta.texto)
                return HttpResponseRedirect(reverse('enquetes:index'))
            else:
                messages.error(request, 'Não existe autor relacionado ao usuário logado!')
                return render(request, self.template)
        else:
            messages.error(request, 'Informe corretamente os parâmetros necessários!')
            return render(request, self.template)


#####
## Acessível a partir da URL /api/enquetes
#####
class GetEnquetesAPI(View):
    def get(self, request, *args, **kwargs):
        lista_enquetes = self.enquetes_ativas()
        return JsonResponse(list(lista_enquetes.values()), safe = False)
    #** recupera enquetes publicadas e com data de encerramento no futuro
    def enquetes_ativas(self):
        return Pergunta.objects.filter(
            data_pub__lte = timezone.now()
        ).filter(
            data_fim__gt = datetime.date.today()
        ).order_by('-data_pub')

#####
## Acessível a partir da URL /enquetes
#####
class IndexViewJSON(View):
    def get(self, request, *args, **kwargs):
        lista_enquetes = self.enquetes_ativas()
        contexto = { 'pergunta_list': lista_enquetes }
        return render(
            request, 'enquetes/enquetes.json', contexto,
            content_type = 'application/json'
        )
    #** recupera enquetes publicadas e com data de encerramento no futuro
    def enquetes_ativas(self):
        return Pergunta.objects.filter(
            data_pub__lte = timezone.now()
        ).filter(
            data_fim__gt = datetime.date.today()
        ).order_by('-data_pub')


class IndexView(View):
    def get(self, request, *args, **kwargs):
        lista_enquetes = self.enquetes_ativas()
        contexto = { 'pergunta_list': lista_enquetes }
        return render(request, 'enquetes/index.html', contexto)
    #** recupera enquetes publicadas e com data de encerramento no futuro
    def enquetes_ativas(self):
        return Pergunta.objects.filter(
            data_pub__lte = timezone.now()
        ).filter(
            data_fim__gt = datetime.date.today()
        ).order_by('-data_pub')
    #** recupera enquetes ativas que possuam um dado texto ("ignore case")
    def busca_enquete_ativa(self, trecho):
        return self.enquetes_ativas().filter(texto__icontains = trecho)


class EncerradasView(View):
    def get(self, request, *args, **kwargs):
        lista_enquetes = self.enquetes_encerradas()
        contexto = { 'pergunta_list': lista_enquetes }
        return render(request, 'enquetes/encerradas.html', contexto)
    #** recupera enquetes com data de encerramento no passado
    def enquetes_encerradas(self):
        return Pergunta.objects.filter(
            data_fim__lt = datetime.date.today()
        )

class DetalhesView(View):
    def get(self, request, *args, **kwargs):
        if 'msg' in request.session:
            del request.session['msg']
        id_pergunta = kwargs['pk']
        pergunta = get_object_or_404(Pergunta, pk = id_pergunta)
        if pergunta.data_pub > timezone.now():
            raise Http404("Identificador inválido informado.")
        contexto = { 'pergunta': pergunta }
        return render(request, 'enquetes/pergunta_detail.html', contexto)

class VotacaoView(View):
    def post(self, request, *args, **kwargs):
        id_pergunta = kwargs['pk']
        pergunta = get_object_or_404(Pergunta, pk = id_pergunta)
        try:
            id_opcao = request.POST['alternativa']
            selecionada = pergunta.alternativa_set.get(pk = id_opcao)
        except (KeyError, Alternativa.DoesNotExist):
            contexto = {
                'pergunta': pergunta,
                'msg_erro': 'Selecione uma opção válida!'
            }
            return render(request, 'enquetes/detalhes.html', contexto)
        else:
            selecionada.quant_votos += 1
            selecionada.save()
            return HttpResponseRedirect(
                reverse('enquetes:resultado', args=(pergunta.id,))
            )

class ResultadoView(View):
    def get(self, request, *args, **kwargs):
        id_pergunta = kwargs['pk']
        pergunta = get_object_or_404(Pergunta, pk = id_pergunta)
        contexto = { 'pergunta': pergunta }
        return render(request, 'enquetes/resultado.html', contexto)


'''
#######  Histórico da implementação dos elementos de View #######
#################################################################

##### Autorizando usuários de um grupo específico
### Função com o critério desejado
def eh_funcionario(user):
    for grp in user.groups.all():
        if grp.name == 'funcionario':
            return True
    return False
### Decoração a ser utilizada na classe de visão
@method_decorator(user_passes_test(eh_funcionario), name='dispatch')

########  VIEW INDEX ########
#############################

##### Versão 1 - função de view
def index(request):
    # recupera as informações a serem apresentadas
    lista_enquetes = Pergunta.objects.order_by('-data_pub')[:25]
    # cria o mapa de contexto a ser acessado pelo template
    contexto = { 'lista_enquetes': lista_enquetes }
    # solicita a renderização do template
    return render(request, 'enquetes/index.html', contexto)

##### Versão 2 - subclasse de classe genérica - ListView
class IndexView(generic.ListView):
    template_name = 'enquetes/index.html'
    def get_queryset(self):
        return Pergunta.objects.order_by('-data_pub')[:25]

######  VIEW DETALHES #######
#############################

##### Versão 1 - função de view
def detalhes(request, id_pergunta):
    # recupera as informações a serem apresentadas
    pergunta = get_object_or_404(Pergunta, pk = id_pergunta)
    # cria o mapa de contexto a ser acessado pelo template
    contexto = { 'pergunta': pergunta }
    # solicita a renderização do template
    return render(request, 'enquetes/detalhes.html', contexto)

##### Versão 2 - subclasse de classe genérica - DetailView
class DetalhesView(generic.DetailView):
    model = Pergunta

####### VIEW VOTAÇÃO ########
#############################

##### Versão 1 - função de view
def votacao(request, id_pergunta):
    pergunta = get_object_or_404(Pergunta, pk = id_pergunta)
    try:
        id_opcao = request.POST['alternativa']
        selecionada = pergunta.alternativa_set.get(pk = id_opcao)
    except (KeyError, Alternativa.DoesNotExist):
        contexto = {
            'pergunta': pergunta,
            'msg_erro': 'Selecione uma opção válida!'
        }
        return render(request, 'enquetes/detalhes.html', contexto)
    else:
        selecionada.quant_votos += 1
        selecionada.save()
        return HttpResponseRedirect(
            reverse('enquetes:resultado', args=(pergunta.id,))
        )

#####  VIEW RESULTADOS ######
#############################

##### Versão 1 - função de view
def resultado(request, id_pergunta):
    # recupera as informações a serem apresentadas
    pergunta = get_object_or_404(Pergunta, pk = id_pergunta)
    # cria o mapa de contexto a ser acessado pelo template
    contexto = { 'pergunta': pergunta }
    # solicita a renderização do template
    return render(request, 'enquetes/resultado.html', contexto)

##### Versão 2 - Subclasse de classe genérica - DetailView
class ResultadoView(generic.DetailView):
    model = Pergunta
    template_name = 'enquetes/resultado.html'

'''

mysite/enquetes/templates/enquetes/base2.html
{% load static %}
<!DOCTYPE html>
<html lang="pt-br">

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:100,200,300,400,500,600,700,800,900" rel="stylesheet">

    <title>{% block titulo %}App Enquetes{% endblock %}</title>

    <!-- Bootstrap core CSS -->
    <link href="{% static 'enquetes/vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">

    <!-- Additional CSS Files -->
    <link rel="stylesheet" href="{% static 'enquetes/assets/css/fontawesome.css' %}">
    <link rel="stylesheet" href="{% static 'enquetes/assets/css/templatemo-grad-school.css' %}">
    <link rel="stylesheet" href="{% static 'enquetes/assets/css/owl.css' %}">
    <link rel="stylesheet" href="{% static 'enquetes/assets/css/lightbox.css' %}">

  </head>

<body>

  <!--header-->
  <header class="main-header clearfix" role="header">
    {% if messages %}
    <ul class="messages">
    {% for msg in messages %}
      <div class="alert alert-{{ msg.level_tag }}" role="alert">
        {{ msg.message }}
      </div>
    {% endfor %}
    </ul>
    {% endif %}
    <div class="logo">
      <a href="{% url 'enquetes:index' %}">Aplicação de <em>Enquetes</em></a>
    </div>
    <a href="#menu" class="menu-link"><i class="fa fa-bars"></i></a>
    <nav id="menu" class="main-nav" role="navigation">
      <ul class="main-menu">
        {% block main-menu %}
        <li><a href="/admin" class="external">Admin</a></li>
        <li class="has-submenu"><a href="#">Enquetes</a>
          <ul class="sub-menu">
            <li><a href="{% url 'enquetes:encerradas' %}"
                   class="external">Encerradas</a></li>
            <li><a href="{% url 'enquetes:nova_enquete' %}"
                   class="external">Cadastrar</a></li>
          </ul>
        </li>
        {% if user.is_authenticated %}
          <li class="has-submenu"><a href="#">{{ user.autor.pseudonimo }}</a>
            <ul class="sub-menu">
              <li><a href="{% url 'logout' %}?next=/"
                     class="external">Logout</a></li>
            </ul>
          </li>
        {% endif %}
        {% endblock %}
      </ul>
    </nav>
  </header>


  {% block main-banner %}
  <!-- ***** Main Banner Area Start ***** -->
  <section class="section main-banner" id="top" data-section="section1">
      <video autoplay muted loop id="bg-video">
          <source src="{% static 'enquetes/assets/images/course-video.mp4' %}" type="video/mp4" />
      </video>

      <div class="video-overlay header-text">
          <div class="caption">
              <h6>Cadastre aqui as</h6>
              <h2><em>Suas</em> Enquetes</h2>
              <div class="main-button">
                  <div class="scroll-to-section"><a href="#section2">Faça o seu cadastro</a></div>
              </div>
          </div>
      </div>
  </section>
  <!-- ***** Main Banner Area End ***** -->

  <section class="features">
    <div class="container">
      <div class="row">
        <div class="col-lg-4 col-12">
          <div class="features-post">
            <div class="features-content">
              <div class="content-show">
                <h4><i class="fa fa-pencil"></i>Crie Enquetes</h4>
              </div>
              <div class="content-hide">
                <p>Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet. Donec maximus elementum ex. Cras convallis ex rhoncus, laoreet libero eu, vehicula libero.</p>
                <p class="hidden-sm">Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet.</p>
                <div class="scroll-to-section"><a href="#section2">More Info.</a></div>
            </div>
            </div>
          </div>
        </div>
        <div class="col-lg-4 col-12">
          <div class="features-post second-features">
            <div class="features-content">
              <div class="content-show">
                <h4><i class="fa fa-graduation-cap"></i>Registre Votos</h4>
              </div>
              <div class="content-hide">
                <p>Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet. Donec maximus elementum ex. Cras convallis ex rhoncus, laoreet libero eu, vehicula libero.</p>
                <p class="hidden-sm">Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet.</p>
                <div class="scroll-to-section"><a href="#section3">Details</a></div>
            </div>
            </div>
          </div>
        </div>
        <div class="col-lg-4 col-12">
          <div class="features-post third-features">
            <div class="features-content">
              <div class="content-show">
                <h4><i class="fa fa-book"></i>Se Divirta!</h4>
              </div>
              <div class="content-hide">
                <p>Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet. Donec maximus elementum ex. Cras convallis ex rhoncus, laoreet libero eu, vehicula libero.</p>
                <p class="hidden-sm">Curabitur id eros vehicula, tincidunt libero eu, lobortis mi. In mollis eros a posuere imperdiet.</p>
                <div class="scroll-to-section"><a href="#section4">Read More</a></div>
            </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
  {% endblock %}

  {% block conteudo %}
  {% endblock %}

  {% block fale-conosco %}
  <section class="section contact" data-section="section6">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <div class="section-heading">
            <h2>Fale Conosco!</h2>
          </div>
        </div>
        <div class="col-md-6">

        <!-- Do you need a working HTML contact-form script?

                    Please visit https://templatemo.com/contact page -->

          <form id="contact" action="" method="post">
            <div class="row">
              <div class="col-md-6">
                  <fieldset>
                    <input name="name" type="text" class="form-control" id="name" placeholder="Your Name" required="">
                  </fieldset>
                </div>
                <div class="col-md-6">
                  <fieldset>
                    <input name="email" type="text" class="form-control" id="email" placeholder="Your Email" required="">
                  </fieldset>
                </div>
              <div class="col-md-12">
                <fieldset>
                  <textarea name="message" rows="6" class="form-control" id="message" placeholder="Your message..." required=""></textarea>
                </fieldset>
              </div>
              <div class="col-md-12">
                <fieldset>
                  <button type="submit" id="form-submit" class="button">Send Message Now</button>
                </fieldset>
              </div>
            </div>
          </form>
        </div>
        <div class="col-md-6">
          <div id="map">

            <iframe src=https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d7938.605688704929!2d-35.20373786164346!3d-5.8128369120155945!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x7b2ffe4d7b15191%3A0x5c55d75db98a785e!2sInstituto%20Federal%20de%20Educa%C3%A7%C3%A3o%2C%20Ci%C3%AAncia%20e%20Tecnologia%20do%20Rio%20Grande%20do%20Norte!5e0!3m2!1spt-BR!2sbr!4v1657738806155!5m2!1spt-BR!2sbr" width="100%" height="422px" frameborder="0" style="border:0" allowfullscreen></iframe>
          </div>
        </div>
      </div>
    </div>
  </section>
  {% endblock %}

  <footer>
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <p>
            <i class="fa fa-copyright"></i>Copyright 2022 - DSWeb/TADS/CNAT/IFRN
          </p>
        </div>
      </div>
    </div>
  </footer>

  <!-- Scripts -->
  <!-- Bootstrap core JavaScript -->
    <script src="{% static 'enquetes/vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'enquetes/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

    <script src="{% static 'enquetes/assets/js/isotope.min.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/owl-carousel.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/lightbox.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/tabs.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/video.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/slick-slider.js' %}"></script>
    <script src="{% static 'enquetes/assets/js/custom.js' %}"></script>
    <script>
        //according to loftblog tut
        $('.nav li:first').addClass('active');

        var showSection = function showSection(section, isAnimate) {
          var
          direction = section.replace(/#/, ''),
          reqSection = $('.section').filter('[data-section="' + direction + '"]'),
          reqSectionPos = reqSection.offset().top - 0;

          if (isAnimate) {
            $('body, html').animate({
              scrollTop: reqSectionPos },
            800);
          } else {
            $('body, html').scrollTop(reqSectionPos);
          }

        };

        var checkSection = function checkSection() {
          $('.section').each(function () {
            var
            $this = $(this),
            topEdge = $this.offset().top - 80,
            bottomEdge = topEdge + $this.height(),
            wScroll = $(window).scrollTop();
            if (topEdge < wScroll && bottomEdge > wScroll) {
              var
              currentId = $this.data('section'),
              reqLink = $('a').filter('[href*=\\#' + currentId + ']');
              reqLink.closest('li').addClass('active').
              siblings().removeClass('active');
            }
          });
        };

        $('.main-menu, .scroll-to-section').on('click', 'a', function (e) {
          if($(e.target).hasClass('external')) {
            return;
          }
          e.preventDefault();
          $('#menu').removeClass('active');
          showSection($(this).attr('href'), true);
        });

        $(window).scroll(function () {
          checkSection();
        });
    </script>
</body>
</html>

mysite/enquetes/templates/enquetes/index.html
{% extends "enquetes/base2.html" %}
{% load static %}

{% block conteudo %}
  <section class="section courses" data-section="section4">
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-12">
          <div class="section-heading">
            <h2>Lista das Enquetes Cadastradas</h2>
          </div>
        </div>
        {% if pergunta_list %}
        <div class="owl-carousel owl-theme">
        {% for pergunta in pergunta_list %}
          <div class="item">
            {% if pergunta.imagem %}
            <img src="{{ pergunta.imagem.url }}" alt="Imagem da enquete">
            {% else %}
            <img src="{% static 'enquetes/assets/images/courses-02.jpg' %}" alt="Imagem da enquete">
            {% endif %}
            <div class="down-content">
              <h4>Autor: {{ pergunta.autor.pseudonimo }}</h4>
              <p><a href="{% url 'enquetes:detalhes' pergunta.id %}">
                {{ pergunta.texto }}</a>
              </p>
              <div class="author-image">
                {% if pergunta.autor.foto %}
                  <img src="{{ pergunta.autor.foto.url }}" alt="Foto do autor">
                {% else %}
                  <img src="{% static 'enquetes/assets/images/author-02.png' %}" alt="Autor padrão">
                {% endif %}
              </div>
              <div class="text-button-pay">
                <a href="{% url 'enquetes:resultado' pergunta.id %}">Ver parcial <i class="fa fa-angle-double-right"></i></a>
              </div>
            </div>
          </div>
        {% endfor %}
        </div>
        {% else %}
          <h3>Nenhuma enquete cadastrada até o momento!</h3>
        {% endif %}
      </div>
    </div>
  </section>
{% endblock %}

mysite/enquetes/templates/enquetes/pergunta_detail.html
{% extends "enquetes/base2.html" %}
{% load static %}

{% block main-banner %}{% endblock %}

{% block conteudo %}
  <section class="section video" data-section="section5">
    <div class="container">
      <div class="row">
        <div class="col-md-12 align-self-center">
          <div class="left-content">
            <h4>{{ pergunta.texto | upper }}</h4>
            {% if pergunta.imagem %}
                <center><img width="600" src="{{ pergunta.imagem.url }}" /></center>
            {% endif %}
            <p><u></u>Data de publicação</u>: {{ pergunta.data_pub | date:"d/m/Y" }} - {{ pergunta.data_pub | time:"H:i" }}hs</p>
            {% if msg_erro %}
                <p><em>{{ msg_erro }}</em></p>
            {% endif %}
            <p>Escolha uma das alternativas listadas e registre o seu voto.</p>

            <form id="voto" action="{% url 'enquetes:votacao' pergunta.id %}" method="post">
                {% csrf_token %}
                {% for alt in pergunta.alternativa_set.all %}
                    <fieldset>
                        <input type="radio" name="alternativa"
                            value="{{ alt.id }}" id="alt{{ forloop.counter }}"/>
                        <label for="alt{{ forloop.counter }}">
                            {{ alt.texto }}
                        </label>
                    </fieldset>
                {% endfor %}
                <fieldset>
                  <div class="main-button">
                      <button type="submit" id="form-submit" class="button">Registre o seu voto</button>
                  </div>
                </fieldset>
            </form>
          </div>
        </div>
      </div>
    </div>
  </section>
{% endblock %}

{% block fale-conosco %}{% endblock %}